> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/knowledge-graph/input-types/user-order.md).

# UserOrder

No description

```graphql
input UserOrder {
  email: SortOrder
  enabled: SortOrder
  firstName: SortOrder
  fullName: SortOrder
  id: SortOrder
  lastName: SortOrder
  system: SortOrder
}
```

### Fields

#### email ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#email" id="email"></a>

The primary email address of this user.

#### enabled ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#enabled" id="enabled"></a>

Whether the user is enabled.

#### firstName ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#first-name" id="first-name"></a>

The first name of this user.

#### fullName ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#full-name" id="full-name"></a>

The first name and last name of this user.

#### id ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#id" id="id"></a>

The universally unique identifier of this node.

#### lastName ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#last-name" id="last-name"></a>

The last name of this user.

#### system ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#system" id="system"></a>

Whether this user is reserved by the system.

### Member Of

[`AssetOrder`](/api/graphql/knowledge-graph/input-types/asset-order.md) input ● [`AssetTypeOrder`](/api/graphql/knowledge-graph/input-types/asset-type-order.md) input ● [`AttributeOrder`](/api/graphql/knowledge-graph/input-types/attribute-order.md) input ● [`AttributeTypeOrder`](/api/graphql/knowledge-graph/input-types/attribute-type-order.md) input ● [`AuditableOrder`](/api/graphql/knowledge-graph/input-types/auditable-order.md) input ● [`BooleanAttributeOrder`](/api/graphql/knowledge-graph/input-types/boolean-attribute-order.md) input ● [`CommunityOrder`](/api/graphql/knowledge-graph/input-types/community-order.md) input ● [`DateAttributeOrder`](/api/graphql/knowledge-graph/input-types/date-attribute-order.md) input ● [`DomainOrder`](/api/graphql/knowledge-graph/input-types/domain-order.md) input ● [`DomainTypeOrder`](/api/graphql/knowledge-graph/input-types/domain-type-order.md) input ● [`ExternalMappingOrder`](/api/graphql/knowledge-graph/input-types/external-mapping-order.md) input ● [`MultiValueAttributeOrder`](/api/graphql/knowledge-graph/input-types/multi-value-attribute-order.md) input ● [`NumericAttributeOrder`](/api/graphql/knowledge-graph/input-types/numeric-attribute-order.md) input ● [`OrganizationOrder`](/api/graphql/knowledge-graph/input-types/organization-order.md) input ● [`ReadPermissionOrder`](/api/graphql/knowledge-graph/input-types/read-permission-order.md) input ● [`RelationOrder`](/api/graphql/knowledge-graph/input-types/relation-order.md) input ● [`RelationTypeOrder`](/api/graphql/knowledge-graph/input-types/relation-type-order.md) input ● [`ResponsibilityOrder`](/api/graphql/knowledge-graph/input-types/responsibility-order.md) input ● [`RoleOrder`](/api/graphql/knowledge-graph/input-types/role-order.md) input ● [`StatusOrder`](/api/graphql/knowledge-graph/input-types/status-order.md) input ● [`StringAttributeOrder`](/api/graphql/knowledge-graph/input-types/string-attribute-order.md) input ● [`TagOrder`](/api/graphql/knowledge-graph/input-types/tag-order.md) input ● [`TraitOrder`](/api/graphql/knowledge-graph/input-types/trait-order.md) input ● [`TypeOrder`](/api/graphql/knowledge-graph/input-types/type-order.md) input ● [`UserGroupOrder`](/api/graphql/knowledge-graph/input-types/user-group-order.md) input


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/knowledge-graph/input-types/user-order.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
